Get api quote
GET quote for aggregation swap
Path Parameters
ethereum, bsc Query Parameters
Source token contract address (ERC20 or native token)
Destination token contract address (ERC20 or native token)
Amount of source token to swap (in token's normalized unit, e.g., eth for ETH).
Ignored when amountInWei is provided.
Amount of source token in the smallest unit (wei). Takes precedence over amountIn
- useful for callers that don't account for token decimals.
Partner API key. Header X-Api-Key takes precedence.
Response
Quote for aggregation swap through POST /{blockchain}/swap
Address to send the swap transaction to.
Use this for tx.to when building the transaction.
Block of the pool state the quote was computed on.
x >= 0Age of that state when the quote was computed, in milliseconds.
x >= 0Address that the user must approve for ERC20 spending before calling /swap. Null when the input token is native.